Page MenuHomePhabricator

upgrade logstash and the logstash elasticsearch cluster to 5.6.14
Closed, ResolvedPublic

Description

Since we're upgrading the cirrus elasticsearch cluster, upgrading logstash as well would make sense. And since logstash 5.5.x isn't compatible with elasticsearch 6.5.x, we'll need to upgrade it before upgrading the search cluster to 6.5.x.

Logstash upgrades are usually uneventful...

Event Timeline

Gehel triaged this task as High priority.Feb 13 2019, 5:28 PM
Gehel created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 13 2019, 5:28 PM
debt moved this task from needs triage to Ops / SRE on the Discovery-Search board.Feb 14 2019, 7:34 PM
Gehel edited projects, added Discovery-Search (Current work); removed Discovery-Search.
Gehel moved this task from Current work to Ops / SRE on the Discovery-Search board.
Gehel edited projects, added Discovery-Search; removed Discovery-Search (Current work).

I tested logstash 5.6.14 with elastic 6.5.4 along with api-feature-usage in vagrant today, everything looks to continue working as expected.

Change 494488 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] lgostash: correct version number for logstash

https://gerrit.wikimedia.org/r/494488

Change 494488 merged by Gehel:
[operations/puppet@production] logstash: correct version number for logstash

https://gerrit.wikimedia.org/r/494488

Change 494686 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] logstash: Upgrade deployment-logstash2 to 5.6.14

https://gerrit.wikimedia.org/r/494686

Change 494686 merged by Gehel:
[operations/puppet@production] logstash: Upgrade deployment-logstash2 to 5.6.14

https://gerrit.wikimedia.org/r/494686

Change 494735 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] logstash: upgrade to 5.6.14

https://gerrit.wikimedia.org/r/494735

Change 494735 merged by Gehel:
[operations/puppet@production] logstash: upgrade to 5.6.14

https://gerrit.wikimedia.org/r/494735

Mentioned in SAL (#wikimedia-operations) [2019-03-07T15:26:37Z] <gehel> rolling upgrade of elasticsearch on logstash clusters - T216052

Change 494966 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] logstash: upgrade ELK to 5.6.14$

https://gerrit.wikimedia.org/r/494966

Change 494966 merged by Gehel:
[operations/puppet@production] logstash: upgrade ELK to 5.6.14

https://gerrit.wikimedia.org/r/494966

Mentioned in SAL (#wikimedia-operations) [2019-03-07T17:16:12Z] <gehel> rolling upgrade of elasticsearch on logstash clusters completed - T216052

Mentioned in SAL (#wikimedia-operations) [2019-03-07T17:33:54Z] <gehel@deploy1001> Started deploy [logstash/plugins@7c4c5ea]: upgrade logstash plugins to 5.6.14 - T216052

Mentioned in SAL (#wikimedia-operations) [2019-03-07T17:34:03Z] <gehel@deploy1001> Finished deploy [logstash/plugins@7c4c5ea]: upgrade logstash plugins to 5.6.14 - T216052 (duration: 00m 08s)

Mentioned in SAL (#wikimedia-operations) [2019-03-07T17:34:40Z] <gehel@deploy1001> Started deploy [logstash/plugins@7c4c5ea]: upgrade logstash plugins to 5.6.14 - T216052

Mentioned in SAL (#wikimedia-operations) [2019-03-07T17:34:47Z] <gehel@deploy1001> Finished deploy [logstash/plugins@7c4c5ea]: upgrade logstash plugins to 5.6.14 - T216052 (duration: 00m 07s)

Mentioned in SAL (#wikimedia-operations) [2019-03-07T17:36:21Z] <gehel> rolling upgrade of logstash on logstash clusters - T216052

Mentioned in SAL (#wikimedia-operations) [2019-03-07T17:43:59Z] <gehel> rolling upgrade of logstash on logstash clusters completed - T216052

Mentioned in SAL (#wikimedia-operations) [2019-03-07T17:48:27Z] <gehel> rolling upgrade of kibana on logstash clusters - T216052

Mentioned in SAL (#wikimedia-operations) [2019-03-07T17:55:23Z] <gehel> rolling upgrade of kibana on logstash clusters completed - T216052

Gehel claimed this task.Mar 7 2019, 6:00 PM
Gehel edited projects, added Discovery-Search (Current work); removed Discovery-Search.
Gehel moved this task from in progress to Done on the Discovery-Search (Current work) board.
debt closed this task as Resolved.Mar 8 2019, 5:48 PM

Thanks for this!